<?php

/**
* $Id: toolbar.badwords2.php,v 1.3 2005/09/05 15:35:47 walb Exp $
*
* Badwords2 Text Filtering Component!
* @ Copyright (C) 2005 - 2006 Wim Albers, Niels Vandekeybus, Robert Anthony Pitera
* @ Based on the initial work Badword by Pravin Hegde
* @ All rights reserved
* @ Badwords2 Text Filter component is Free Software
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
*
**/

// ensure this file is being included by a parent file
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

require_once( $mainframe->getPath( 'toolbar_html' ) );
require_once( $mainframe->getPath( 'toolbar_default' ) );

switch ($task) {

	case "new_badword":
	case "edit_badword":
		menuBadword::EDIT_BADWORD_MENU();
		break;

	case "new_admin":
	case "edit_admin":
		menuBadword::EDIT_ADMIN_MENU();
		break;

	case "new_regexp":
	case "edit_regexp":
		menuBadword::EDIT_REGEXP_MENU();
		break;

	case "settings":
		menuBadword::SETTINGS_MENU();
		break;

	case "regexps":
		menuBadword::REGEXP_MENU();
		break;

	case "admins":
		menuBadword::ADMINS_MENU();
		break;

	case "badwords" :
		menuBadword::BADWORDS_MENU();
		break;

	default:
		menuBadword::DEFAULT_MENU();
		break;
}
?>